Skip to main content
GET
/
v2
/
approval-delegations
List Approval Delegations
curl --request GET \
  --url https://public.api.serval.com/v2/approval-delegations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "delegatorUserId": "<string>",
      "delegates": [
        {
          "type": "APPROVAL_DELEGATE_TYPE_UNSPECIFIED",
          "id": "<string>"
        }
      ],
      "priority": 123,
      "description": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

delegatorUserId
string

Optional user ID to list delegations for a specific user.

pageSize
integer<int32>

Maximum number of results to return.

pageToken
string

Token for pagination. Leave empty for the first request.

Response

Success

data
ApprovalDelegation · object[]
nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.